<div class="d-none" {{did-insert this.setup}}></div>

{{#if this.slideshowTarget}}
  {{#in-element this.slideshowTarget}}
    <div
      class="page-col-gallery page-col-gallery-modal page-col-gallery-slideshow d-flex flex-column
        {{if this.isSlideshowPresentable 'presentable'}}
        {{if this.isSlideshowPresenting 'presenting'}}"
      {{on "transitionend" this.checkHideSlideshow}}
    >
      <div class="gallery-header p-2 mb-2 d-flex">
        <button
          type="button"
          class="btn btn-dark btn-close-modal"
          {{on "click" this.prepareHideSlideshow}}
        >
          <FaIcon @icon="times" />
        </button>
        <div class="title p-2 flex-fill">
          {{@title}}
        </div>
      </div>

      <div class="large-picture-list">
        <Swiper>
          {{#each @value as |picture|}}
            <div
              class="swiper-slide
                {{if (eq picture.id @selectedId) 'selected'}}"
            >
              <PictureWithOptions
                class="page-col-picture"
                @name={{picture.name}}
                @meta={{picture.meta}}
                @src={{picture.picture}}
                @hash={{picture.hash}}
                @options={{this.largePictureValues}}
              />
            </div>
          {{/each}}
        </Swiper>
      </div>
    </div>
  {{/in-element}}
{{/if}}